=begin
projectEditor_dj v1.7 make
Copyright  June 16, 2013
DukeJazz: by James Cochran

Simple One button, repeat plugin_loader tool. (API inputbox action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
June 16, 2013; projectEditor_dj v1.7 make
-fix icons
-fixes for make 2013 m1
-change modules to DJ::LibAnotherScalePlusDJ and change to self. useages
- move varaibles table to DJ_lib folder, djAnotherLib_dj.rb thus DJ::LibAnotherScalePlusDJ.variables_dj

=end

require 'sketchup.rb'
Sketchup::require "dj_plugins/dj_tips/tips_dj";UI::Toolbar.new("tips_dj")
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj';UI::Toolbar.new("zoomZoom_dj")
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj';UI::Toolbar.new("scaleGroupFloat_dj")
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj";UI::Toolbar.new("anotherSketchupPlus_dj")

 
Sketchup::require "dj_plugins/dj_another_sketchup/anotherSketchup_dj";UI::Toolbar.new("anotherSketchup_dj")

Sketchup::require 'dj_plugins/dj_lib/djAnotherLib_dj'

module DJ

module LibAnotherScalePlusDJ

def self.restoreLibAnotherScalePlusDJPlugins_dj

Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";UI::Toolbar.new("tips_dj").show
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';UI::Toolbar.new("zoomZoom_dj").show
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';UI::Toolbar.new("scaleGroupFloat_dj").show
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";UI::Toolbar.new("anotherSketchupPlus_dj").show
Sketchup::require "dj_plugins/dj_another_sketchup/anotherSketchup_dj_loader";UI::Toolbar.new("anotherSketchup_dj").show
@djplugins_x[0] = "projectEditor_dj"
return
end
def self.hideLibAnotherScalePlusDJPlugins_dj
Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';UI::Toolbar.new("scaleGroupFloat_dj").hide;
Sketchup::require "dj_plugins/dj_another_sketchup/anotherSketchup_dj_loader";UI::Toolbar.new("anotherSketchup_dj").hide;
Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";UI::Toolbar.new("anotherSketchupPlus_dj").hide;
Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";UI::Toolbar.new("tips_dj").hide;
Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';UI::Toolbar.new("zoomZoom_dj").hide;
@djplugins_x[0] = "hideAllPlugins_dj"
return
end
def self.mainPlugins_dj
case @djplugins_x[0].to_s
when "anotherSketchup_dj" then Sketchup::require "dj_plugins/dj_another_sketchup/another_Sketchup_dj_loader";m= UI::Toolbar.new("anotherSketchup_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "anothersketchupPlus_dj" then Sketchup::require "dj_plugins/dj_sketchup_plus/anotherSketchupPlus_dj_loader";m= UI::Toolbar.new("anotherSketchupPlus_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "projectEditor_dj" then restoreLibAnotherScalePlusDJPlugins_dj
when "scaleGroupFloat_dj" then Sketchup::require 'dj_plugins/dj_scaleGroupFloat/scaleGroupFloat_dj_loader';m= UI::Toolbar.new("scaleGroupFloat_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "zoomZoom_dj" then Sketchup::require 'dj_plugins/dj_ZoomWindowSelect/zoomZoom_dj_loader';m= UI::Toolbar.new("zoomZoom_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "tips_dj" then Sketchup::require "dj_plugins/dj_tips/tips_dj_loader";m= UI::Toolbar.new("tips_dj");m.show;@djplugins_x[0] = "projectEditor_dj"
when "hideAllPlugins_dj" then hideLibAnotherScalePlusDJPlugins_dj
end
return
end
def self.plugins_dj
if @djplugins_x[0].to_s == "hideAllPlugins_dj" then @djplugins_x[0] = "projectEditor_dj"
else @djplugins_x[0] = "hideAllPlugins_dj"
end
self.mainPlugins_dj
return
end
def self.contextPlugins_dj
UI.add_context_menu_handler do |context|
m = context.add_submenu("projectEditor_dj")
m.add_item("projectEditor_dj") {self.restoreLibAnotherScalePlusDJPlugins_dj}
m.add_item("hideAllPlugins_dj") { self.hideLibAnotherScalePlusDJPlugins_dj }
m.add_separator
m.add_item("Paste in place") { self.youSCF_placer_dj }
m.add_item("Delete and paste in place") { self.youSCF_Dplacer_dj }
m.add_item("Paste in place") { self.another_slectAllPlace_dj }
m.add_item("Delete and paste")  { self.another_place_dj }
m.add_item("Move select") { self.another_moveSelect_dj }
m.add_item("Send select") { self.another_sendSelect_dj }
m.add_item("Send all") { self.another_sendSelectAll_dj }
m.add_item("Select exit") { self.another_copyExit_dj }
m.add_item("Select all exit") { self.another_copyAllExit_dj }
m.add_item("Features_dj") { self.lis_dj }
m.add_separator
m.add_item("Duplicate select"){ self.another_sumPaste_dj }
m.add_item("Duplicate all")  {self.another_copyAllPaste_dj }
m.add_item("Group") { self.group_dj }
m.add_item("Explode") { self.explode_dj }
m.add_item("cPoint outside axes") { self.another_axis_dj }
m.add_item("Ruby script loader") { self.youSL_loadRubyRepeater_dj }
m.add_item("Open's explorer") { self.youSU_explorer_dj }
m.add_item("Open's Extensions") { self.youSU_extSet_dj }
m.add_item("Clear clipboard and Exit") { self.youSU_clearCbExit_dj }
m.add_item("Clear clipboard") { self.youSU_clearCB_dj }
m.add_item("Feature_dj") { self.lisa_dj }
m.add_separator
m.add_item("scaleGroupFloat_dj") { self.scaleGroupFloat1_dj;self.scaleGroupFloat_dj }
m.add_item("cumulativeScaler_dj") { self.cumulativejob_dj }
m.add_item("saveTarget1_dj")   { self.save_target1_dj }
m.add_item("moveToTarget1_dj") { self.save_target1_dj }
m.add_item("readOutOfaBbox_dj") { self.read_bbox_dj }
m.add_item("drawBoxPoint_dj") { Sketchup.select_tool DrawBoxPointDJ.new }
m.add_item("repeatUndoTool_dj") { self.repeatUndoTool_dj }
m.add_item("features_dj") { self.listingScaleGroupFloat_dj }
m.add_separator
m.add_item("ZoomZoomSelect_dj") { self.zoomWindowSelect_dj }
m.add_item("ZoomOut2_dj") { self.zoomOut2_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { self.zoomPushPull_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { self.zoomPolygon_dj }
m.add_item("ZoomZoomSelectScale_dj")  { self.zoomScale_dj }
m.add_item("ZoomZoomSelectMove_dj")  { self.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { self.zoomRotate_dj }
m.add_item("ZoomView_dj") { self.zoomView_dj }
m.add_item("Features_dj") { self.liszoomZoom_dj }
end;# do
end;# def
def self.menuPlugins_dj
m = UI.menu("Plugins").add_submenu("projectEditor_dj")
m.add_item("projectEditor_dj") {self.restoreLibAnotherScalePlusDJPlugins_dj}
m.add_item("hideAllPlugins_dj") { self.hideLibAnotherScalePlusDJPlugins_dj }
m.add_separator
m.add_item("Paste in place") { self.youSCF_placer_dj }
m.add_item("Delete and paste in place") { self.youSCF_Dplacer_dj }
m.add_item("Paste in place") { self.another_slectAllPlace_dj }
m.add_item("Delete and paste")  { self.another_place_dj }
m.add_item("Move select") { self.another_moveSelect_dj }
m.add_item("Send select") { self.another_sendSelect_dj }
m.add_item("Send all") { self.another_sendSelectAll_dj }
m.add_item("Select exit") { self.another_copyExit_dj }
m.add_item("Select all exit") { self.another_copyAllExit_dj }
m.add_item("Features_dj") { self.lis_dj }
m.add_separator
m.add_item("Duplicate select"){ self.another_sumPaste_dj }
m.add_item("Duplicate all")  { self.another_copyAllPaste_dj }
m.add_item("Group") { self.group_dj }
m.add_item("Explode") { self.explode_dj }
m.add_item("cPoint outside axes") { self.another_axis_dj }
m.add_item("Ruby script loader") { self.youSL_loadRubyRepearter_dj }
m.add_item("Open's explorer") { self.youSU_explorer_dj }
m.add_item("Open's Extensions") { self.youSU_extSet_dj }
m.add_item("Clear clipboard and Exit") { self.youSU_clearCbExit_dj }
m.add_item("Clear clipboard") { self.another_clearCB_dj }
m.add_item("Feature_dj") { self.lis_anotherSketchup_dj }
m.add_separator
m.add_item("scaleGroupFloat_dj") { self.scaleGroupFloat_dj }
m.add_item("cumulativeScaler_dj") { self.cumulativejob_dj }
m.add_item("saveTarget1_dj")   { self.save_target1_dj }
m.add_item("moveToTarget1_dj") { self.move_to_target1_dj }
m.add_item("readOutOfaBbox_dj") { self.read_bbox_dj }
m.add_item("drawBoxPoint_dj") { Sketchup.active_model.select_tool DrawBoxPointDJ.new }
m.add_item("repeatUndoTool_dj") { self.repeatUndoTool_dj }
m.add_item("features_dj") { self.listingScaleGroupFloat_dj }
m.add_separator
m.add_item("ZoomZoomSelect_dj") { self.zoomWindowSelect_dj }
m.add_item("ZoomOut2_dj") { self.zoomOut2_dj }
m.add_item("ZoomZoomSelectPushPull_dj") { self.zoomPushPull_dj }
m.add_item("ZoomZoomSelectPolygon_dj") { self.zoomPolygon_dj }
m.add_item("ZoomZoomSelectScale_dj")  { self.zoomScale_dj }
m.add_item("ZoomZoomSelectMove_dj")  { self.zoomMove_dj }
m.add_item("ZoomZoomSelectRotate_dj")  { self.zoomRotate_dj }
m.add_item("ZoomView_dj") { self.zoomView_dj }
m.add_item("Features_dj") { self.liszoomZoom_dj }
end;# def




 if( not file_loaded? "projectEditor_dj_loader.rb" ) 
self.contextPlugins_dj
self.menuPlugins_dj



m= UI::Toolbar.new("projectEditor_dj")
cmd = UI::Command.new("projectEditor_dj") {self.plugins_dj}
cmd.small_icon = "dj_project_editor.png";cmd.large_icon = "dj_project_editor.png"
cmd.tooltip = "projectEditor_dj";cmd.status_bar_text = "Loads Project Editor plugins_dj"
m.add_item(cmd)
m.show
end

#--------------------------------------------------------------------------
file_loaded("projectEditor_dj_loader.rb")
end # module self.
end # module DJ
